#
# model-fishing.R,  4 May 25
#
# Data from:
# Reasoning About Necessity and Possibility: A Test of the Mental Model Theory of Deduction
# Jonathan St. B. T. Evans, Simon J. Handley, Catherine N. J. Harper, and Philip N. Johnson-Laird

library("colorspace")
library("plyr")


par(bty="l")
par(las=1)
par(pch="+")
pal_col=rainbow(2)


e1=read.csv("exp1.csv")

num_subjects=120

NP=ddply(e1, .(Logic), function(df) data.frame(N=sum(df$Necessity), P=sum(df$Possibility), Answers=num_subjects*nrow(df)))
NP$Nperc=100*NP$N/NP$Answers
NP$Pperc=100*NP$P/NP$Answers

t(NP)

# Logic   "I"        "N"        "P"       
# N       " 99"      "428"      "553"     
# P       "226"      "514"      "863"     
# Answers "1200"     " 720"     "1440"    
# Nperc   " 8.25000" "59.44444" "38.40278"
# Pperc   "18.83333" "71.38889" "59.93056"

#           I     N     P       
#     N     8%   59%   38%
#     P    19%   71%   60%


